package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialPutaway;
import com.maintain.business.domain.vo.ErpMaterialPutawayVo;
import com.maintain.business.domain.bo.ErpMaterialPutawayBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物料入库Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpMaterialPutawayService {

    /**
     * 查询物料入库
     */
    ErpMaterialPutawayVo queryById(Long id);

    /**
     * 查询物料入库列表
     */
    TableDataInfo<ErpMaterialPutawayVo> queryPageList(ErpMaterialPutawayBo bo, PageQuery pageQuery);

    /**
     * 查询物料入库列表
     */
    List<ErpMaterialPutawayVo> queryList(ErpMaterialPutawayBo bo);

    /**
     * 新增物料入库
     */
    Boolean insertByBo(ErpMaterialPutawayBo bo);

    /**
     * 批量确认物料入库
     * @param ids
     * @return
     */
    Boolean confirmByIds(Collection<Long> ids);

    /**
     * 修改物料入库
     */
    Boolean updateByBo(ErpMaterialPutawayBo bo);

    /**
     * 校验并批量删除物料入库信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
